Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 269258 - [PATCH] app-dicts/stardict-3.0.1 fails to compile with gcc-4.4
Summary: [PATCH] app-dicts/stardict-3.0.1 fails to compile with gcc-4.4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Spell checking utilities and dictionaries -- related bugs (OBSOLETE)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-05-10 13:43 UTC by Martin Väth
Modified: 2009-07-24 17:28 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Fix compilation with gcc-4.4 (stardict-3.0.1-gcc-4.4.patch,337 bytes, patch)
2009-05-10 13:43 UTC, Martin Väth
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Väth 2009-05-10 13:43:33 UTC
Some #includes are missing. Patch is attached.
Comment 1 Martin Väth 2009-05-10 13:43:58 UTC
Created attachment 190841 [details, diff]
Fix compilation with gcc-4.4
Comment 2 Oschtan 2009-05-23 16:40:29 UTC
(In reply to comment #1)
> Created an attachment (id=190841) [edit]
> Fix compilation with gcc-4.4
> 
Patch fixed this bug!
// Amd64/ sys-devel/gcc-4.4.0 sys-kernel/linux-headers-2.6.29 sys-libs/glibc-2.10.1
Please, add this patch in portage!
Comment 3 Samuli Suominen gentoo-dev 2009-07-24 17:28:14 UTC
+  24 Jul 2009; Samuli Suominen <ssuominen@gentoo.org>
+  stardict-3.0.1-r2.ebuild, +files/stardict-3.0.1-gcc44.patch:
+  Fix building with GCC 4.4 wrt #269258, thanks to Martin Väth.